Update trust bank account
PATCH
/api/trust/bank-accounts/{id}
const url = 'https://api.getvespy.com/api/trust/bank-accounts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"accountMask":"example","accountType":"operating","institutionName":"example","isActive":true,"name":"example","ownerId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.getvespy.com/api/trust/bank-accounts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "accountMask": "example", "accountType": "operating", "institutionName": "example", "isActive": true, "name": "example", "ownerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
accountMask
string
accountType
string
institutionName
string
isActive
boolean
name
string
ownerId
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
bankAccount
required
object
accountMask
required
string
accountType
required
string
createdAt
required
string format: date-time
id
required
string format: uuid
institutionName
required
string
isActive
required
boolean
name
required
string
organizationId
required
string format: uuid
ownerId
required
string format: uuid
updatedAt
required
string format: date-time
Example
{ "bankAccount": { "accountType": "operating" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}